package com.hotent.base.vo;

import java.time.LocalDateTime;

/**
 * 授权中心校验 入参或返回数据
 *
 * @author 欧阳高龙
 * @company 广州宏天软件股份有限公司
 * @since 2022/8/24 15:13
 */
public class InstanceLimitValidVo {
    /**
     * 客户端回调地址
     */
    private String urlCallback;
    /**
     * 校验结果 deny-不通过；agree-通过；ignore-无需验证
     */
    private String result;
    /**
     * 随机ID
     */
    private String randomId;
    /**
     * 过期时间，30秒
     */
    private LocalDateTime expire;
    /**
     * 令牌
     */
    private String token;

    public String getRandomId() {
        return randomId;
    }

    public void setRandomId(String randomId) {
        this.randomId = randomId;
    }

    public LocalDateTime getExpire() {
        return expire;
    }

    public void setExpire(LocalDateTime expire) {
        this.expire = expire;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getUrlCallback() {
        return urlCallback;
    }

    public void setUrlCallback(String urlCallback) {
        this.urlCallback = urlCallback;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
